Bug 130113 - Strange output of /proc/mtrr
Summary: Strange output of /proc/mtrr
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-17 09:10 UTC by Rainer Koenig
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-16 22:37:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:294 normal SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 5 2005-05-18 04:00:00 UTC

Description Rainer Koenig 2004-08-17 09:10:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040614 Firefox/0.8

Description of problem:
A `cat /proc/mtrr` displays "strange" looking values for the size on
Intel based x86_64 (EM64T plattform) systems. It looks like that the
displayed size is 16 times bigger than the real size of that memory
region.

Version-Release number of selected component (if applicable):
2.4.21-17.EL

How reproducible:
Always

Steps to Reproduce:
1. Install Red Hat EL 3 Upd. 3 beta on Intel based x86_64 system
2. Login as root 
3. cat /proc/mtrr
    

Actual Results:  Here an example of the x86_64 version of RHEL 3: 

[root@localhost root]# uname -a
Linux localhost.localdomain 2.4.21-17.EL #1 SMP Thu Jul 8 19:34:05 EDT
2004 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost root]# cat /proc/mtrr
reg00: base=0x00000000 (   0MB), size=8192MB: write-back, count=1
reg01: base=0x1ff00000 ( 511MB), size=  16MB: uncachable, count=1
[root@localhost root]#

Note that the machine is only eqipped with 512 MB of RAM.

Expected Results:  Same as above, but this time the 32-bit Version of
RHEL 3 Upd. 2:

[root@localhost root]# uname -a
Linux localhost.localdomain 2.4.21-15.ELsmp #1 SMP Thu Apr 22 00:18:24
EDT 2004 i686 i686 i386 GNU/Linux
[root@localhost root]# cat /proc/mtrr
reg00: base=0x00000000 (   0MB), size= 512MB: write-back, count=1
reg01: base=0x1ff00000 ( 511MB), size=   1MB: uncachable, count=1
reg02: base=0xf0000000 (3840MB), size=  16MB: write-combining, count=1
[root@localhost root]#

Identical hardware, here 512 MB size is displayed as expected. 

Additional info:

Looks like this bug is only occuring on Intel based systems. I've seen
it on a Prescott (examples above) but also on a Dual Xeon workstation.
A dual opteron workstation seems not to be affected by this.

On the same hardware the 2.6.5 kernel of SuSE distribution shows no
error in the size. 

I just want to report this as a minor bug, impacts on other things
(like 3D graphics) are not observed so far. But we just made a few
minor tests.

Comment 1 Jim Paradis 2005-02-16 22:24:41 UTC
Reassigning to lwoodman as he looked at it and came up with the fix.

Comment 2 Jim Paradis 2005-02-16 22:37:34 UTC

*** This bug has been marked as a duplicate of 137201 ***

Comment 3 Ernie Petrides 2005-02-19 10:07:09 UTC
A fix for this problem has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.16.EL).


Comment 4 Tim Powers 2005-05-18 13:27:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html



Note You need to log in before you can comment on or make changes to this bug.